<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="row no-gutters">
    <div class="col-sm-3 alignment-preview-list" ng-class="{loading: $ctrl.loading.index}">
        <div scrollable class="list-group">
            <a href="" ng-click="$ctrl.select(item)" ng-repeat="item in $ctrl.data.items" class="list-group-item" ng-class="{active: $ctrl.item == item}">
                <label>{{ item.label ? item.label : item.id }}</label>
                <small>{{ item.id }}</small>
                <!--<span ng-repeat="type in item.types">
                <span class="label label-default">{{ type }}</span>
                </span>-->
            </a>
        </div>
        <ul class="pager alignment-preview-pager">
            <li class="previous"><a ng-click="$ctrl.prevPage()" href="" class="btn btn-default" ng-class="{disabled: $ctrl.params.page <= 1}"><i class="fa fa-arrow-left"></i></a></li>
            <li class="info"><span><strong>{{ $ctrl.data.total }} </strong> élément(s) - Page <strong>{{ $ctrl.params.page }}</strong> / <strong>{{ $ctrl.totalPage() }}</strong></span></li>
            <li class="next"><a ng-click="$ctrl.nextPage()" href="" class="btn btn-default" ng-class="{disabled: $ctrl.params.page >= $ctrl.totalPage()}"><i class="fa fa-arrow-right"></i></a></li>
        </ul>
    </div>
    <div class="col-sm-9 alignment-preview-wrapper" ng-class="{loading: $ctrl.loading.preview}">
        <scrollable>
            <alignment-preview data="$ctrl.preview" ng-show="$ctrl.preview"></alignment-preview>
        </scrollable>
    </div>
</div>